### org.jfree.layouting.input.style.values

# Class CSSValueList

- `java.lang.Object`
- - `org.jfree.layouting.input.style.values.CSSValueList`

Implemented Interfaces:
  Cloneable, CSSValue, Serializable

`public final class CSSValueList`
`extends java.lang.Object`
`implements CSSValue, Cloneable`

Creation-Date: 23.11.2005, 12:37:21

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSValueList(Collection collection)`

  `CSSValueList(CSSValue[] values)`

  ## Method Summary

  `Object`

  `clone()`

  `boolean`

  `contains(CSSValue value)`

  `static CSSValueList`

  `createDuoList(CSSValue value)`

  `static CSSValueList`

  `createDuoList(CSSValue first, CSSValue second)`

  `static CSSValueList`

  `createList(CSSValue value)`

  `static CSSValueList`

  `createQuadList(CSSValue value)`

  `static CSSValueList`

  `createQuadList(CSSValue first, CSSValue second)`

  `static CSSValueList`

  `createQuadList(CSSValue first, CSSValue second, CSSValue third, CSSValue fourth)`

  `String`

  `getCSSText()`

  `CSSValue`

  `getItem(int index)`

  `int`

  `getLength()`

  `static CSSValueList`

  `insertFirst(CSSValueList list, CSSValue value)`

  `static CSSValueList`

  `insertLast(CSSValueList list, CSSValue value)`

  `String`

  `toString()`

## Constructor Details

### CSSValueList

    public CSSValueList(Collection collection)

### CSSValueList

    public CSSValueList(CSSValue[] values)

## Method Details

### clone

    public Object clone()

### contains

    public boolean contains(CSSValue value)

### createDuoList

    public static CSSValueList createDuoList(CSSValue value)

### createDuoList

    public static CSSValueList createDuoList(CSSValue first,
                                             CSSValue second)

### createList

    public static CSSValueList createList(CSSValue value)

### createQuadList

    public static CSSValueList createQuadList(CSSValue value)

### createQuadList

    public static CSSValueList createQuadList(CSSValue first,
                                              CSSValue second)

### createQuadList

    public static CSSValueList createQuadList(CSSValue first,
                                              CSSValue second,
                                              CSSValue third,
                                              CSSValue fourth)

### getCSSText

    public String getCSSText()

> Specified by:
>   getCSSText in interface CSSValue

### getItem

    public CSSValue getItem(int index)

### getLength

    public int getLength()

### insertFirst

    public static CSSValueList insertFirst(CSSValueList list,
                                           CSSValue value)

### insertLast

    public static CSSValueList insertLast(CSSValueList list,
                                          CSSValue value)

### toString

    public String toString()